Node Pools - List By Supercomputer

List NodePool resources by Supercomputer

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Discovery/supercomputers/{supercomputerName}/nodePools?api-version=2026-06-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

supercomputerName
path True

string

pattern: ^[a-zA-Z0-9-]{3,24}$

The name of the Supercomputer

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

NodePoolListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

NodePools_ListBySupercomputer_MaximumSet

Sample request

GET https://management.azure.com/subscriptions/A54D43BD-2F5F-4BB1-95D4-9A8D23CC7DD4/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/supercomputers/a4d55e3b47501e6fe1/nodePools?api-version=2026-06-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/A54D43BD-2F5F-4BB1-95D4-9A8D23CC7DD4/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/supercomputers/a4d55e3b47501e6fe1/nodePools/x",
      "name": "x",
      "tags": {
        "key7034": "obcmoprnvrxxcdbeokgwotr"
      },
      "location": "uksouth",
      "type": "Microsoft.Discovery/supercomputers/nodePools",
      "systemData": {
        "createdBy": "uymdmmhvojuqtvvxokgefohqpcjw",
        "createdByType": "User",
        "createdAt": "2026-05-04T11:59:49.804Z",
        "lastModifiedBy": "ucuttxilomgszapozsuit",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2026-05-04T11:59:49.804Z"
      },
      "properties": {
        "provisioningState": "Succeeded",
        "subnetId": "/subscriptions/31735C59-6307-4464-8B80-3675223F23D2/providers/Microsoft.Network/virtualNetworks/virtualnetwork1/subnets/subnet1",
        "vmSize": "Standard_NC24ads_A100_v4",
        "maxNodeCount": 18,
        "minNodeCount": 0,
        "scaleSetPriority": "Regular",
        "osDiskSizeGb": 610,
        "imageCacheLowerThreshold": 4,
        "imageCacheUpperThreshold": 92
      }
    }
  ],
  "nextLink": "https://microsoft.com/a"
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

NodePool

NodePool tracked resource

NodePoolListResult

The response of a NodePool list operation.

NodePoolProperties

NodePool properties

ProvisioningState

The resource provisioning state.

ScaleSetPriority

Supported Virtual Machine Scale Set priorities.

systemData

Metadata pertaining to creation and last modification of the resource.

VmSize

Supported Azure VM Sizes.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

NodePool

NodePool tracked resource

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

NodePoolProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

NodePoolListResult

The response of a NodePool list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

NodePool[]

The NodePool items on this page

NodePoolProperties

NodePool properties

Name Type Default value Description
imageCacheLowerThreshold

integer (int32)

minimum: 0
maximum: 100
40

The percent of disk usage before which image garbage collection is never run. This cannot be set higher than imageCacheUpperThreshold. The default is 40%

imageCacheUpperThreshold

integer (int32)

minimum: 0
maximum: 100
60

The percent of disk usage after which image garbage collection is guaranteed to run. The default is 60%

maxNodeCount

integer (int32)

minimum: 1

The maximum number of nodes.

minNodeCount

integer (int32)

minimum: 0
0

The minimum number of nodes.

osDiskSizeGb

integer (int32)

minimum: 30
maximum: 2048
120

The size of the OS disk in GB. If not specified, the default is 120 GB.

provisioningState

ProvisioningState

The status of the last operation.

scaleSetPriority

ScaleSetPriority

Regular

The Virtual Machine Scale Set priority. If not specified, the default is 'Regular'.

subnetId

string (arm-id)

The node pool subnet.

vmSize

VmSize

The size of the underlying Azure VM.

ProvisioningState

The resource provisioning state.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Accepted

The resource create request has been accepted

Provisioning

The resource is being provisioned

Updating

The resource is updating

Deleting

The resource is being deleted

ScaleSetPriority

Supported Virtual Machine Scale Set priorities.

Value Description
Regular

Regular priority Virtual Machine Scale Set.

Spot

Spot priority Virtual Machine Scale Set.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

VmSize

Supported Azure VM Sizes.

Value Description
Standard_NC24ads_A100_v4

Standard_NC24ads_A100_v4 GPU-optimized Azure VM Size

Standard_NC48ads_A100_v4

Standard_NC48ads_A100_v4 GPU-optimized Azure VM Size

Standard_NC96ads_A100_v4

Standard_NC96ads_A100_v4 GPU-optimized Azure VM Size

Standard_NC4as_T4_v3

Standard_NC4as_T4_v3 GPU-optimized Azure VM Size

Standard_NC8as_T4_v3

Standard_NC8as_T4_v3 GPU-optimized Azure VM Size

Standard_NC16as_T4_v3

Standard_NC16as_T4_v3 GPU-optimized Azure VM Size

Standard_NC64as_T4_v3

Standard_NC64as_T4_v3 GPU-optimized Azure VM Size

Standard_NV6ads_A10_v5

Standard_NV6ads_A10_v5 GPU-optimized Azure VM Size

Standard_NV12ads_A10_v5

Standard_NV12ads_A10_v5 GPU-optimized Azure VM Size

Standard_NV24ads_A10_v5

Standard_NV24ads_A10_v5 GPU-optimized Azure VM Size

Standard_NV36ads_A10_v5

Standard_NV36ads_A10_v5 GPU-optimized Azure VM Size

Standard_NV36adms_A10_v5

Standard_NV36ads_A10_v5 GPU-optimized Azure VM Size

Standard_NV72ads_A10_v5

Standard_NV36ads_A10_v5 GPU-optimized Azure VM Size

Standard_ND40rs_v2

Standard_ND40rs_v2 GPU-optimized Azure VM Size